# BEGIN LICENSE BLOCK
# 
# Copyright (c) 1996-2003 Jesse Vincent <jesse@bestpractical.com>
# 
# (Except where explictly superceded by other copyright notices)
# 
# This work is made available to you under the terms of Version 2 of
# the GNU General Public License. A copy of that license should have
# been provided with this software, but in any event can be snarfed
# from www.gnu.org.
# 
# This work is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Unless otherwise specified, all modifications, corrections or
# extensions to this work which alter its source code become the
# property of Best Practical Solutions, LLC when submitted for
# inclusion in the work.
# 
# 
# END LICENSE BLOCK
# Autogenerated by DBIx::SearchBuilder factory (by <jesse@bestpractical.com>)
# WARNING: THIS FILE IS AUTOGENERATED. ALL CHANGES TO THIS FILE WILL BE LOST.  
# 
# !! DO NOT EDIT THIS FILE !!
#

use strict;


=head1 NAME

RT::Transaction


=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 METHODS

=cut

package RT::Transaction;
use RT::Record; 
use RT::Ticket;


use vars qw( @ISA );
@ISA= qw( RT::Record );

sub _Init {
  my $self = shift; 

  $self->Table('Transactions');
  $self->SUPER::_Init(@_);
}





=item Create PARAMHASH

Create takes a hash of values and creates a row in the database:

  int(11) 'EffectiveTicket'.
  int(11) 'Ticket'.
  int(11) 'TimeTaken'.
  varchar(20) 'Type'.
  varchar(40) 'Field'.
  varchar(255) 'OldValue'.
  varchar(255) 'NewValue'.
  varchar(100) 'Data'.

=cut




sub Create {
    my $self = shift;
    my %args = ( 
                EffectiveTicket => '0',
                Ticket => '0',
                TimeTaken => '0',
                Type => '',
                Field => '',
                OldValue => '',
                NewValue => '',
                Data => '',

		  @_);
    $self->SUPER::Create(
                         EffectiveTicket => $args{'EffectiveTicket'},
                         Ticket => $args{'Ticket'},
                         TimeTaken => $args{'TimeTaken'},
                         Type => $args{'Type'},
                         Field => $args{'Field'},
                         OldValue => $args{'OldValue'},
                         NewValue => $args{'NewValue'},
                         Data => $args{'Data'},
);

}



=item id

Returns the current value of id. 
(In the database, id is stored as int(11).)


=cut


=item EffectiveTicket

Returns the current value of EffectiveTicket. 
(In the database, EffectiveTicket is stored as int(11).)



=item SetEffectiveTicket VALUE


Set EffectiveTicket to VALUE. 
Returns (1, 'Status message') on success and (0, 'Error Message') on failure.
(In the database, EffectiveTicket will be stored as a int(11).)


=cut


=item Ticket

Returns the current value of Ticket. 
(In the database, Ticket is stored as int(11).)



=item SetTicket VALUE


Set Ticket to VALUE. 
Returns (1, 'Status message') on success and (0, 'Error Message') on failure.
(In the database, Ticket will be stored as a int(11).)


=cut


=item TicketObj

Returns the Ticket Object which has the id returned by Ticket


=cut

sub TicketObj {
	my $self = shift;
	my $Ticket =  RT::Ticket->new($self->CurrentUser);
	$Ticket->Load($self->__Value('Ticket'));
	return($Ticket);
}

=item TimeTaken

Returns the current value of TimeTaken. 
(In the database, TimeTaken is stored as int(11).)



=item SetTimeTaken VALUE


Set TimeTaken to VALUE. 
Returns (1, 'Status message') on success and (0, 'Error Message') on failure.
(In the database, TimeTaken will be stored as a int(11).)


=cut


=item Type

Returns the current value of Type. 
(In the database, Type is stored as varchar(20).)



=item SetType VALUE


Set Type to VALUE. 
Returns (1, 'Status message') on success and (0, 'Error Message') on failure.
(In the database, Type will be stored as a varchar(20).)


=cut


=item Field

Returns the current value of Field. 
(In the database, Field is stored as varchar(40).)



=item SetField VALUE


Set Field to VALUE. 
Returns (1, 'Status message') on success and (0, 'Error Message') on failure.
(In the database, Field will be stored as a varchar(40).)


=cut


=item OldValue

Returns the current value of OldValue. 
(In the database, OldValue is stored as varchar(255).)



=item SetOldValue VALUE


Set OldValue to VALUE. 
Returns (1, 'Status message') on success and (0, 'Error Message') on failure.
(In the database, OldValue will be stored as a varchar(255).)


=cut


=item NewValue

Returns the current value of NewValue. 
(In the database, NewValue is stored as varchar(255).)



=item SetNewValue VALUE


Set NewValue to VALUE. 
Returns (1, 'Status message') on success and (0, 'Error Message') on failure.
(In the database, NewValue will be stored as a varchar(255).)


=cut


=item Data

Returns the current value of Data. 
(In the database, Data is stored as varchar(100).)



=item SetData VALUE


Set Data to VALUE. 
Returns (1, 'Status message') on success and (0, 'Error Message') on failure.
(In the database, Data will be stored as a varchar(100).)


=cut


=item Creator

Returns the current value of Creator. 
(In the database, Creator is stored as int(11).)


=cut


=item Created

Returns the current value of Created. 
(In the database, Created is stored as datetime.)


=cut



sub _ClassAccessible {
    {
     
        id =>
		{read => 1, type => 'int(11)', default => ''},
        EffectiveTicket => 
		{read => 1, write => 1, type => 'int(11)', default => '0'},
        Ticket => 
		{read => 1, write => 1, type => 'int(11)', default => '0'},
        TimeTaken => 
		{read => 1, write => 1, type => 'int(11)', default => '0'},
        Type => 
		{read => 1, write => 1, type => 'varchar(20)', default => ''},
        Field => 
		{read => 1, write => 1, type => 'varchar(40)', default => ''},
        OldValue => 
		{read => 1, write => 1, type => 'varchar(255)', default => ''},
        NewValue => 
		{read => 1, write => 1, type => 'varchar(255)', default => ''},
        Data => 
		{read => 1, write => 1, type => 'varchar(100)', default => ''},
        Creator => 
		{read => 1, auto => 1, type => 'int(11)', default => '0'},
        Created => 
		{read => 1, auto => 1, type => 'datetime', default => ''},

 }
};


        eval "require RT::Transaction_Overlay";
        if ($@ && $@ !~ qr{^Can't locate RT/Transaction_Overlay.pm}) {
            die $@;
        };

        eval "require RT::Transaction_Vendor";
        if ($@ && $@ !~ qr{^Can't locate RT/Transaction_Vendor.pm}) {
            die $@;
        };

        eval "require RT::Transaction_Local";
        if ($@ && $@ !~ qr{^Can't locate RT/Transaction_Local.pm}) {
            die $@;
        };




=head1 SEE ALSO

This class allows "overlay" methods to be placed
into the following files _Overlay is for a System overlay by the original author,
_Vendor is for 3rd-party vendor add-ons, while _Local is for site-local customizations.  

These overlay files can contain new subs or subs to replace existing subs in this module.

If you'll be working with perl 5.6.0 or greater, each of these files should begin with the line 

   no warnings qw(redefine);

so that perl does not kick and scream when you redefine a subroutine or variable in your overlay.

RT::Transaction_Overlay, RT::Transaction_Vendor, RT::Transaction_Local

=cut


1;
